Doomsday Engine - Feature #1970

Scriptable map entry/exit, cycling
2015-02-11 17:51 - skyjake

Status: New Start date: 2015-02-11
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: 3.x

Description

Use Doomsday Script to perform actions after loading a map and when exiting a map. While this is useful for map cycling (restart a
co-op episode from beginning after completion), it is also a good modding feature. The key is to define different scopes for the
scripts, e.g., a scope for the server's multiplayer behavior, or another for the map's own behavior as intended by its author.

Related issues:

Related to Feature #1608: Integrate Doomsday Script

Progressed 2013-10-22

History

#1 - 2015-02-11 17:51 - skyjake

- Related to Feature #1608: Integrate Doomsday Script added

#2 - 2015-02-11 17:51 - skyjake

- Tags changed from Scripting, Server, Mod to Scripting, Server, Mod, Multiplayer

#3 - 2015-02-11 17:52 - skyjake

- Description updated

#4 - 2019-11-29 21:13 - skyjake

- Subject changed from Scriptable map cycle to Scriptable map entry/exit, cycling

- Target version set to 3.x
